<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="BASE_KKM_SETTINGS" 
Description="Базовые настройки ККМ" 
PrimaryKey="KkmSettingsID" 
DNAttributes="{KkmName}" 
DisplayName="{0}">
  <Fields>
    <Attribute Name="KkmSettingsID" Type="guid" Description="Идентификатор" />
    <Attribute Name="Host" Type="string" Description="Хост" Required="1" />
    <Attribute Name="Port" Type="int" Description="Порт" Required="1" />
    <Attribute Name="Login" Type="string" Description="Логин" Required="1" />
    <Attribute Name="Password" Type="string" Description="Пароль" />
    <Attribute Name="DeviceNumber" Type="int" Description="Номер устройства" Required="1" />
    <Attribute Name="TimeOut" Type="int" Description="Время ожидания" Required="1" />
    <Attribute Name="Fio" Type="string" Description="ФИО продавца" />
    <Attribute Name="Inn" Type="string" Description="ИНН продавца" />
    <Attribute Name="KkmName" Type="string" Description="Наименование кассы" Required="1" />
  </Fields>
  <DbMapping>
    <Table name="T_BASE_KKM_SETTINGS">
      <Map Name="KkmSettingsID" Column="KkmSettingsID" />
      <Map Name="Host" Column="Host" />
      <Map Name="Port" Column="Port" />
      <Map Name="Login" Column="Login" />
      <Map Name="Password" Column="Password" />
      <Map Name="DeviceNumber" Column="DeviceNumber" />
      <Map Name="TimeOut" Column="TimeOut" />
      <Map Name="Fio" Column="Fio" />
      <Map Name="Inn" Column="Inn" />
      <Map Name="KkmName" Column="KkmName" />
    </Table>
  </DbMapping>
</Entity>